
#' dfts
#' @param tbl_fts friendlyts tbl
#' @param timeResolution "daily","hourly","minute","second",...
#' @param tzone time zone
#' @keywords friendlyts
#' @export
#' @examples
#' \dontrun{
#' dfts()
#' }
dfts <- function(tbl_fts,timeResolution=NULL,tzone="UTC"){

  dateTS <- data.frame(date=fts_yymmdd_hhmmss(tbl_fts=tbl_fts,precision=timeResolution,tzone=tzone))

  varnames <- setdiff(names(tbl_fts),get_name_date_col(precision=timeResolution))

  res <- as.data.frame(dplyr::bind_cols(dateTS,dplyr::select(tbl_fts,varnames)))

  return(res)

}
