
#' ts_spread
#' @param df data.frame like
#' @param col_date col_date
#' @param col_key col_key
#' @param col_target col_target
#' @param precision "daily","hourly","minute","second",...
#' @param tzone time zone "UTC"
#' @param date_type date_type
#' @keywords friendlyts
#' @export
#' @examples
#' \dontrun{
#' ts_spread()
#' }
ts_spread <- function(df,col_date,col_key,col_target,precision="second",tzone="UTC",date_type=c("friendlyts","df_yymmdd_hhmmss","posixlt","%Y-%m-%d %H:%M:%S","%Y-%m-%dT%H:%M:%OSZ","%Y/%m/%d %H:%M:%S")){

  res <- df %>% select(c(tidyselect::all_of(col_date),tidyselect::all_of(col_key),tidyselect::all_of(col_target))) %>% tidyr::unite("temp", tidyselect::all_of(col_key)) %>% tidyr::spread("temp", col_target[1])
  res <- friendlyts::friendlyts(df=res,date_col=col_date,date_type=date_type,precision=precision,tzone=tzone)

  return(res)
}
