
#' posixlt2char
#'
#' posixlt2char
#' @param date POSIXlt
#' @param ISO8601 boolean
#' @param date_type date_type
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' posixlt2char()
#' }
posixlt2char <- function(date,ISO8601=FALSE,date_type=c("%Y-%m-%d %H:%M:%S","%Y-%m-%dT%H:%M:%OSZ","%Y/%m/%d %H:%M:%S")){


  if (is.null(ISO8601)){
   date_type <- match.arg(date_type)
   res <-  switch(date_type,
     "%Y-%m-%d %H:%M:%S"   = paste0(year(date,CHAR=TRUE),"-",month(date,CHAR=TRUE),"-",day(date,CHAR=TRUE)," ",hour(date,CHAR=TRUE),":",minute(date,CHAR=TRUE),":",second(date,CHAR=TRUE)),
     "%Y-%m-%dT%H:%M:%OSZ" = paste0(year(date,CHAR=TRUE),"-",month(date,CHAR=TRUE),"-",day(date,CHAR=TRUE),"T",hour(date,CHAR=TRUE),":",minute(date,CHAR=TRUE),":",second(date,CHAR=TRUE),"Z"),
     "%Y/%m/%d %H:%M:%S"   = paste0(year(date,CHAR=TRUE),"/",month(date,CHAR=TRUE),"/",day(date,CHAR=TRUE)," ",hour(date,CHAR=TRUE),":",minute(date,CHAR=TRUE),":",second(date,CHAR=TRUE)),
     stop("type not recognized")
   )
 } else {
   if (!ISO8601) {
      res <- paste0(year(date,CHAR=TRUE),"/",month(date,CHAR=TRUE),"/",day(date,CHAR=TRUE)," ",hour(date,CHAR=TRUE),":",minute(date,CHAR=TRUE),":",second(date,CHAR=TRUE))
   } else if (ISO8601){
      res <- paste0(year(date,CHAR=TRUE),"-",month(date,CHAR=TRUE),"-",day(date,CHAR=TRUE),"T",hour(date,CHAR=TRUE),":",minute(date,CHAR=TRUE),":",second(date,CHAR=TRUE),"Z")
   }
 } 

  return(res)
}
