
#' char2_yymmdd_hhmmss
#'
#' yymmdd_hhmmss
#' @param date_chr date
#' @param type type
#' @param tz tz
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' char2_yymmdd_hhmmss()
#' }
char2_yymmdd_hhmmss <- function(date_chr,type=c("%Y-%m-%d %H:%M:%S","%Y-%m-%dT%H:%M:%OSZ","%Y/%m/%d %H:%M:%S"),tz="UTC"){
  type <- match.arg(type)
  res <- as.POSIXlt(strptime(date_chr,type,tz=tz))
  return(res)
}

#' df2_yymmdd_hhmmss
#'
#' df2_yymmdd_hhmmss
#' @param df df
#' @param precision precision
#' @param tz tz
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' df2_yymmdd_hhmmss()
#' }
df2_yymmdd_hhmmss <- function(df,precision,tz="UTC"){
  res <- df2time(precision=precision,df=df)
  attributes(res)$tzone <- tz
  return(res)
}

#' foo2_yymmdd_hhmmss
#'
#' foo2_yymmdd_hhmmss
#' @param df df
#' @param precision precision
#' @param tz tz
#' @param type type
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' foo2_yymmdd_hhmmss()
#' }
foo2_yymmdd_hhmmss <- function(df,precision,tz="UTC",type=c("posixlt","df_yymmdd_hhmmss","%Y-%m-%d %H:%M:%S","%Y-%m-%dT%H:%M:%OSZ","%Y/%m/%d %H:%M:%S")){

  type <- match.arg(type)

   res <- switch(type,
     "posixlt"             = as.POSIXlt(df),
     "%Y-%m-%d %H:%M:%S"   = char2_yymmdd_hhmmss(df,type="%Y-%m-%d %H:%M:%S"),
     "%Y-%m-%dT%H:%M:%OSZ" = char2_yymmdd_hhmmss(df,type="%Y-%m-%dT%H:%M:%OSZ"),
     "%Y/%m/%d %H:%M:%S"   = char2_yymmdd_hhmmss(df,type="%Y/%m/%d %H:%M:%S"),
     "df_yymmdd_hhmmss"    = df2_yymmdd_hhmmss(df=df,precision=precision),
     stop("type not recognized"))

  return(res)
}
